Debian Bug report logs - #631396
flash-kernel: Please add support for Toshiba AC100

version graph

Package: flash-kernel; Maintainer for flash-kernel is Debian Install System Team <debian-boot@lists.debian.org>; Source for flash-kernel is src:flash-kernel.

Reported by: Julian Andres Klode <jak@debian.org>

Date: Thu, 23 Jun 2011 15:03:02 UTC

Severity: wishlist

Fixed in version flash-kernel/3.0~rc.1

Done: Hector Oron <zumbi@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, jak@debian.org, ogra@ubuntu.com, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#631396; Package flash-kernel. (Thu, 23 Jun 2011 15:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julian Andres Klode <jak@debian.org>:
New Bug report received and forwarded. Copy sent to jak@debian.org, ogra@ubuntu.com, Debian Install System Team <debian-boot@lists.debian.org>. (Thu, 23 Jun 2011 15:03:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Julian Andres Klode <jak@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: flash-kernel: Please add support for Toshiba AC100
Date: Thu, 23 Jun 2011 17:01:19 +0200
[Message part 1 (text/plain, inline)]
Package: flash-kernel
Severity: wishlist

This bug is for adding support for the Toshiba AC100, a
Tegra 2 based notebook, to flash-kernel. The AC100 boots
from an Android boot partition located on its internal
eMMC storage.

I am including the code currently used in the 
“Toshiba Tegra AC100 Hardware enablement” PPA
for Ubuntu, written by Oliver Grawert.

We could in generalise this a bit by replacing
ac100 with android, the code probably works
for multiple other Android devices as well.

A Recommends/Suggests for abootimg would need
to be added as well.

-- Current code:
"Toshiba AC100 / Dynabook AZ")
		AC_IMG=""
		AC_SIZE=""
		AC_MMC="/dev/mmcblk0"

		TMPIMAGE=$(tempfile)
		CONFIG=""

		find_ac100_bootpart()
		{
			for dev in $(ls ${AC_MMC}?? 2>/dev/null); do
				if abootimg -i $dev >/dev/null 2>&1; then
					size=$(abootimg -i $dev |grep "image size"|cut -d ' ' -f5)
					 if [ $size -gt 5242880 ]; then
						 AC_IMG=$dev
						 AC_SIZE=$size
						 return 0
					 fi
				fi
			done
			return 1
		}

		build_ac100_bootimage()
		{
			if [ -e /boot/bootimg.cfg ]; then
				abootimg --create $TMPIMAGE -f /boot/bootimg.cfg -k $kfile \
					-r $ifile >/dev/null 2>&1 || return 1
				imagesize=$(wc -c "$TMPIMAGE" | awk '{print $1}')
				check_size "Bootimage" $imagesize $AC_SIZE
			else
				printf "Could not find /boot/bootimg.cfg."
				return 1
			fi
		}

		write_ac100_bootimage()
		{
			printf "Writing boot image to $AC_IMG ... "
			dd if=$TMPIMAGE of=$AC_IMG >/dev/null 2>&1 || return 1
			echo "done." >&2
		}

		if ! find_ac100_bootpart; then
			rm -rf $TMPIMAGE
			error "Could not find boot image partition on $AC_MMC."
		fi

		if ! build_ac100_bootimage; then
			rm -rf $TMPIMAGE
			error "Could not create temporary boot image."
		fi

		if ! write_ac100_bootimage; then
			rm -rf $TMPIMAGE
			error "Can not flash to $AC_IMG"
		fi

		rm -rf $TMPIMAGE
	;;

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (950, 'unstable'), (250, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.0.0-rc2-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_GB.utf8, LC_CTYPE=en_GB.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

-- 
Julian Andres Klode  - Debian Developer, Ubuntu Member

See http://wiki.debian.org/JulianAndresKlode and http://jak-linux.org/.
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#631396; Package flash-kernel. (Thu, 23 Jun 2011 16:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hector Oron <zumbi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Thu, 23 Jun 2011 16:48:03 GMT) Full text and rfc822 format available.

Message #10 received at submit@bugs.debian.org (full text, mbox):

From: Hector Oron <zumbi@debian.org>
To: Julian Andres Klode <jak@debian.org>, 631396@bugs.debian.org
Cc: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Re: Bug#631396: flash-kernel: Please add support for Toshiba AC100
Date: Thu, 23 Jun 2011 17:44:28 +0100
[Message part 1 (text/plain, inline)]
Hello,

On Thu, Jun 23, 2011 at 05:01:19PM +0200, Julian Andres Klode wrote:
> Package: flash-kernel
> Severity: wishlist

Updated version after some IRC comments, for review:


From 09e85bde46613216656c1cb9ea0c6eebb530701f Mon Sep 17 00:00:00 2001
From: Julian Andres Klode <jak@debian.org>
Date: Thu, 23 Jun 2011 17:52:47 +0200
Subject: [PATCH] flash-kernel: Add support for Toshiba AC100 and Android boot

Introduce support for Android devices such as the Toshiba
AC100 that boot from a special Android boot partition
located on an internal eMMC.

Status: early patch with known issues
  - bootimg.cfg is located in /boot
  - functions write to global variables
  - patch is completely untested

Signed-off-by: Julian Andres Klode <jak@debian.org>
---
 flash-kernel |   66 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 66 insertions(+), 0 deletions(-)

diff --git a/flash-kernel b/flash-kernel
index bf5168e..487738b 100755
--- a/flash-kernel
+++ b/flash-kernel
@@ -251,6 +251,38 @@ nslu2_swap() {
 	fi
 }
 
+android_find_bootpart() {
+	for dev in $(ls ${ANDROID_MMC}?? 2>/dev/null); do
+		if abootimg -i $dev >/dev/null 2>&1; then
+			size=$(abootimg -i $dev |grep "image size"|cut -d ' ' -f5)
+			if [ $size -gt 5242880 ]; then
+				ANDROID_IMG=$dev
+				ANDROID_SIZE=$size
+				return 0
+			fi
+		fi
+	done
+	return 1
+}
+
+android_build_bootimage() {
+	if [ -e /boot/bootimg.cfg ]; then
+		abootimg --create $TMPIMAGE -f /boot/bootimg.cfg -k $kfile \
+			-r $ifile >/dev/null 2>&1 || return 1
+		imagesize=$(wc -c "$TMPIMAGE" | awk '{print $1}')
+		check_size "Bootimage" $imagesize $ANDROID_SIZE
+	else
+		printf "Could not find /boot/bootimg.cfg."
+		return 1
+	fi
+}
+
+android_write_bootimage() {
+	printf "Writing boot image to $ANDROID_IMG ... "
+	dd if=$TMPIMAGE of=$ANDROID_IMG >/dev/null 2>&1 || return 1
+	echo "done." >&2
+}
+
 # somewhat RFC2822 based, but case sensitive, not tolerant to spaces etc.
 MACHINE_DB="
 Machine: Buffalo Linkstation LiveV3 (LS-CHL)
@@ -408,6 +440,9 @@ Kernel-Flavors: iop32x
 Machine-Id: 1101
 Mtd-Kernel: kernel
 Mtd-Initrd: ramdisk
+
+Machine: Toshiba AC100 / Dynabook AZ
+Boot-Type: Android
 "
 
 main() {
@@ -476,6 +511,7 @@ umaddr="$(get_machine_field "$machine" "U-Boot-Multi-Address")" || :
 boot_kernel_path="$(get_machine_field "$machine" "Boot-Kernel-Path")" || :
 boot_initrd_path="$(get_machine_field "$machine" "Boot-Initrd-Path")" || :
 boot_multi_path="$(get_machine_field "$machine" "Boot-Multi-Path")" || :
+boot_type="$(get_machine_field "$machine" "Boot-Type")" || :
 
 if [ -n "$mtd_kernel" ] || [ -n "$mtd_initrd" ]; then
 	if [ ! -e "$PROC_MTD" ]; then
@@ -522,6 +558,36 @@ cleanup_tmpdir() {
 trap cleanup_tmpdir EXIT HUP INT QUIT ILL KILL SEGV PIPE TERM
 tmpdir="$(mktemp -dt "$self.XXXXXXXX")"
 
+
+case "$boot_type" in
+	"Android")
+		ANDROID_IMG=""
+		ANDROID_SIZE=""
+		ANDROID_MMC="/dev/mmcblk0"
+
+		TMPIMAGE=$(tempfile)
+		CONFIG=""
+
+		if ! android_find_bootpart; then
+			rm -rf $TMPIMAGE
+			error "Could not find boot image partition on $ANDROID_MMC."
+		fi
+
+		if ! android_build_bootimage; then
+			rm -rf $TMPIMAGE
+			error "Could not create temporary boot image."
+		fi
+
+		if ! android_write_bootimage; then
+			rm -rf $TMPIMAGE
+			error "Can not flash to $ANDROID_IMG"
+		fi
+
+		rm -rf $TMPIMAGE
+	;;
+esac
+
+
 case "$machine" in
 	"Buffalo Linkstation LiveV3 (LS-CHL)" | "Buffalo Linkstation Mini" | "Buffalo Linkstation Pro/Live" | "Buffalo/Revogear Kurobox Pro" | "D-Link DNS-323" | "HP Media Vault mv2120"  | "HP t5325 Thin Client" | "Marvell GuruPlug Reference Board" | "Marvell OpenRD Base Board" | "Marvell OpenRD Client Board" | "Marvell OpenRD Ultimate Board" | "Marvell SheevaPlug Reference Board" | "Marvell eSATA SheevaPlug Reference Board" | "QNAP TS-109/TS-209" | "QNAP TS-119/TS-219" | "QNAP TS-409" | "QNAP TS-41x" | "Seagate FreeAgent DockStar")
 		kernel="$kfile"
-- 
1.7.5.4

-- 
 Héctor Orón

"Our Sun unleashes tremendous flares expelling hot gas into the Solar System, which one day will disconnect us."

-- Day DVB-T stop working nicely
Video flare: http://antwrp.gsfc.nasa.gov/apod/ap100510.html
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#631396; Package flash-kernel. (Thu, 23 Jun 2011 16:48:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hector Oron <zumbi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Thu, 23 Jun 2011 16:48:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#631396; Package flash-kernel. (Sun, 26 Jun 2011 14:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julian Andres Klode <jak@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sun, 26 Jun 2011 14:21:03 GMT) Full text and rfc822 format available.

Message #20 received at 631396@bugs.debian.org (full text, mbox):

From: Julian Andres Klode <jak@debian.org>
To: Hector Oron <zumbi@debian.org>
Cc: 631396@bugs.debian.org
Subject: Re: Bug#631396: flash-kernel: Please add support for Toshiba AC100
Date: Sun, 26 Jun 2011 16:16:22 +0200
On Thu, 2011-06-23 at 17:44 +0100, Hector Oron wrote:
> Hello,
> 
> On Thu, Jun 23, 2011 at 05:01:19PM +0200, Julian Andres Klode wrote:
> > Package: flash-kernel
> > Severity: wishlist
> 
> Updated version after some IRC comments, for review:
> 
> 
> From 09e85bde46613216656c1cb9ea0c6eebb530701f Mon Sep 17 00:00:00 2001
> From: Julian Andres Klode <jak@debian.org>
> Date: Thu, 23 Jun 2011 17:52:47 +0200
> Subject: [PATCH] flash-kernel: Add support for Toshiba AC100 and Android boot
> 
> Introduce support for Android devices such as the Toshiba
> AC100 that boot from a special Android boot partition
> located on an internal eMMC.
> 
> Status: early patch with known issues
>   - bootimg.cfg is located in /boot
>   - functions write to global variables
>   - patch is completely untested
The last part is no longer true. I just tested it and it works
perfectly.

-- 
Julian Andres Klode  - Debian Developer, Ubuntu Member

See http://wiki.debian.org/JulianAndresKlode and http://jak-linux.org/.






Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#631396; Package flash-kernel. (Sat, 23 Jul 2011 16:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julian Andres Klode <jak@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sat, 23 Jul 2011 16:24:03 GMT) Full text and rfc822 format available.

Message #25 received at 631396@bugs.debian.org (full text, mbox):

From: Julian Andres Klode <jak@debian.org>
To: 631396@bugs.debian.org
Cc: Julian Andres Klode <jak@debian.org>
Subject: [PATCH] flash-kernel: Add support for Toshiba AC100
Date: Sat, 23 Jul 2011 18:21:20 +0200
Add support for updating the kernel and initramfs in the Toshiba
AC100 boot partition located on the internal eMMC. This works by
introducing two new Boot-Type and Boot-Device-Minimal-Size fields.

The Boot-Type field determines what type of boot loader is used
on the machine. The intent of this is that we later get rid of
the duplicated machine lists in main(). The only value currently
understood is 'Android'.

The Boot-Device-Minimal-Size field specifies a minimal size the
boot partition must have. This is needed because the AC100 has
too such partitions, boot and recovery, and we want to use the
boot partition (the larger one).

This is the second version of the patch, it has been simplified
and support for using an abootimg configuration file has been
removed. Instead, we only replace kernel and initramfs in the
boot partition, and keep command-line and similar unchanged.

Signed-off-by: Julian Andres Klode <jak@debian.org>
---
 flash-kernel |   36 ++++++++++++++++++++++++++++++++++++
 1 files changed, 36 insertions(+), 0 deletions(-)

diff --git a/flash-kernel b/flash-kernel
index bf5168e..f37961f 100755
--- a/flash-kernel
+++ b/flash-kernel
@@ -3,6 +3,7 @@
 # Copyright (C) 2006  Joey Hess  <joeyh@debian.org>
 # Copyright (C) 2006, 2007, 2008, 2009, 2010, 2011  Martin Michlmayr <tbm@cyrius.com>
 # Copyright (C) 2011  Loïc Minier <lool@dooz.org>
+# Copyright (C) 2011  Julian Andres Klode <jak@debian.org>
 
 # This program is free software; you can redistribute it and/or
 # modify it under the terms of the GNU General Public License
@@ -251,6 +252,26 @@ nslu2_swap() {
 	fi
 }
 
+android_find_mmc_bootpart() {
+	local size
+	for dev in /dev/mmcblk?p?; do
+		size=$(abootimg -i $dev 2>/dev/null| grep "image size"|cut -d ' ' -f5)
+		if [ $size ] && \
+		   [ -z "$boot_minsize" -o "$size" -gt "$boot_minsize" ]; then
+			echo $dev
+			return 0
+		fi
+	done
+	error "Could not find an Android boot partition on a MMC device"
+}
+
+android_flash() {
+	local device="$1"
+	printf "Flashing kernel and initramfs to $device... " >&2
+	abootimg -u $device -k $kfile -r $ifile >/dev/null || error "failed."
+	echo "done." >&2
+}
+
 # somewhat RFC2822 based, but case sensitive, not tolerant to spaces etc.
 MACHINE_DB="
 Machine: Buffalo Linkstation LiveV3 (LS-CHL)
@@ -408,6 +429,10 @@ Kernel-Flavors: iop32x
 Machine-Id: 1101
 Mtd-Kernel: kernel
 Mtd-Initrd: ramdisk
+
+Machine: Toshiba AC100 / Dynabook AZ
+Boot-Type: Android
+Boot-Device-Minimal-Size: 5242881
 "
 
 main() {
@@ -476,6 +501,8 @@ umaddr="$(get_machine_field "$machine" "U-Boot-Multi-Address")" || :
 boot_kernel_path="$(get_machine_field "$machine" "Boot-Kernel-Path")" || :
 boot_initrd_path="$(get_machine_field "$machine" "Boot-Initrd-Path")" || :
 boot_multi_path="$(get_machine_field "$machine" "Boot-Multi-Path")" || :
+boot_type="$(get_machine_field "$machine" "Boot-Type")" || :
+boot_minsize="$(get_machine_field "$machine" "Boot-Device-Minimal-Size")" || :
 
 if [ -n "$mtd_kernel" ] || [ -n "$mtd_initrd" ]; then
 	if [ ! -e "$PROC_MTD" ]; then
@@ -522,6 +549,15 @@ cleanup_tmpdir() {
 trap cleanup_tmpdir EXIT HUP INT QUIT ILL KILL SEGV PIPE TERM
 tmpdir="$(mktemp -dt "$self.XXXXXXXX")"
 
+
+case "$boot_type" in
+	"Android")
+		android_bootpart=$(android_find_mmc_bootpart)
+		android_flash $android_bootpart
+	;;
+esac
+
+
 case "$machine" in
 	"Buffalo Linkstation LiveV3 (LS-CHL)" | "Buffalo Linkstation Mini" | "Buffalo Linkstation Pro/Live" | "Buffalo/Revogear Kurobox Pro" | "D-Link DNS-323" | "HP Media Vault mv2120"  | "HP t5325 Thin Client" | "Marvell GuruPlug Reference Board" | "Marvell OpenRD Base Board" | "Marvell OpenRD Client Board" | "Marvell OpenRD Ultimate Board" | "Marvell SheevaPlug Reference Board" | "Marvell eSATA SheevaPlug Reference Board" | "QNAP TS-109/TS-209" | "QNAP TS-119/TS-219" | "QNAP TS-409" | "QNAP TS-41x" | "Seagate FreeAgent DockStar")
 		kernel="$kfile"
-- 
1.7.5.4





Reply sent to Hector Oron <zumbi@debian.org>:
You have taken responsibility. (Wed, 24 Aug 2011 12:39:36 GMT) Full text and rfc822 format available.

Notification sent to Julian Andres Klode <jak@debian.org>:
Bug acknowledged by developer. (Wed, 24 Aug 2011 12:40:07 GMT) Full text and rfc822 format available.

Message #30 received at 631396-close@bugs.debian.org (full text, mbox):

From: Hector Oron <zumbi@debian.org>
To: 631396-close@bugs.debian.org
Subject: Bug#631396: fixed in flash-kernel 3.0~rc.1
Date: Wed, 24 Aug 2011 12:32:16 +0000
Source: flash-kernel
Source-Version: 3.0~rc.1

We believe that the bug you reported is fixed in the latest version of
flash-kernel, which is due to be installed in the Debian FTP archive:

flash-kernel-installer_3.0~rc.1_armel.udeb
  to main/f/flash-kernel/flash-kernel-installer_3.0~rc.1_armel.udeb
flash-kernel_3.0~rc.1.dsc
  to main/f/flash-kernel/flash-kernel_3.0~rc.1.dsc
flash-kernel_3.0~rc.1.tar.gz
  to main/f/flash-kernel/flash-kernel_3.0~rc.1.tar.gz
flash-kernel_3.0~rc.1_armel.deb
  to main/f/flash-kernel/flash-kernel_3.0~rc.1_armel.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 631396@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Hector Oron <zumbi@debian.org> (supplier of updated flash-kernel package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 24 Aug 2011 12:47:34 +0100
Source: flash-kernel
Binary: flash-kernel flash-kernel-installer
Architecture: source armel
Version: 3.0~rc.1
Distribution: experimental
Urgency: low
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Changed-By: Hector Oron <zumbi@debian.org>
Description: 
 flash-kernel - utility to make certain embedded devices bootable
 flash-kernel-installer - Make the system bootable (udeb)
Closes: 594878 612376 620888 626434 631396
Changes: 
 flash-kernel (3.0~rc.1) experimental; urgency=low
 .
   [ Loïc Minier ]
   * Bump Standards-Version to 3.9.2.
   * Add a testsuite and run it during build; change code a bit to be more
     easily tested.
   * Start reworking flash-kernel to be more data-driven.
     - Keep some machine data in a small embedded RFC 2822 style database; such
       as allowed kernel flavors, machine id to set before booting Linux,
       MTD names, U-Boot load addresses, /boot filenames etc.
     - Simplify code in the main "case" statement as much as possible by using
       functions for common code and splitting error handling, initialization,
       and sanity checks out.
     - Various syntax tweaks.
   * Only allow iop32x kernels on GLAN Tank.
   * Fix Lintian warnings.
     - Quote minus signs in man page.
     - Depend on ${misc:Depends}.
   * Add myself to Uploaders at tbm's proposal.
   * Add myself to flash-kernel's Copyright and to debian/copyright; thanks
     Martin Michlmayr.
 .
   [ Hector Oron ]
   * Add armhf to architecture list (Closes: #620888)
     - add mx5 as armhf subarchitecture
   * Add myself to Uploaders field.
   * Add preliminary mv78xx0 support. (Closes: #594878)
   * Add build dependency on devio, needed to run test-suite.
   * Upgrade major version to 3.0~rc.1
   * Add support for Genesi Efika MX nettops and smarttops. (Closes: #612376)
   * Add preliminary U-Boot script support (Closes: #626434)
 .
   [ Julian Andres Klode ]
   * Support for Toshiba AC100 (Closes: #631396)
 .
   [ Martin Michlmayr ]
   * Remove myself from the Uploaders field.
 .
   [ Updated translations ]
   * Bulgarian (bg.po) by Damyan Ivanov
   * German (de.po) by Holger Wansing
   * Esperanto (eo.po) by Felipe Castro
   * Basque (eu.po)
   * Hebrew (he.po) by Lior Kaplan
   * Italian (it.po) by Milo Casagrande
   * Korean (ko.po) by Changwoo Ryu
   * Macedonian (mk.po) by Arangel Angov
   * Romanian (ro.po) by Eddy Petrișor
   * Sinhala (si.po) by Danishka Navin
   * Slovak (sk.po) by Ivan Masár
   * Swedish (sv.po) by Daniel Nylander
   * Uyghur (ug.po) by Sahran
   * Simplified Chinese (zh_CN.po) by YunQiang Su
Checksums-Sha1: 
 80f72d07827f3e3fb0311e6400415b70d79e4cbd 1669 flash-kernel_3.0~rc.1.dsc
 98db3b825cbdcf449e82a42173c32f45b6d5a657 48850 flash-kernel_3.0~rc.1.tar.gz
 6561090adec3efa743950bba9557c28fc736fd57 19564 flash-kernel_3.0~rc.1_armel.deb
 db5018e174417a7c0b92ecfbc2398e0e6a98b510 12400 flash-kernel-installer_3.0~rc.1_armel.udeb
Checksums-Sha256: 
 0b3de1beb920ebdc80285f2312b0a195d042fce1b6ff83209afdb487d62af265 1669 flash-kernel_3.0~rc.1.dsc
 422619dc4ade7c490f3139a8386ed72e224a16983882a0baa35aca0252e65485 48850 flash-kernel_3.0~rc.1.tar.gz
 cce2713506fe636b5ca1ee930832cc7253da4c63ef93e2ef7e19257ec248a9e2 19564 flash-kernel_3.0~rc.1_armel.deb
 d703cb113b906edb16a7e8a882e1f82406d8fb734bd1720a1d911ddfc186c711 12400 flash-kernel-installer_3.0~rc.1_armel.udeb
Files: 
 ad0f758094ba7f81bfbb9c65f4786c45 1669 utils optional flash-kernel_3.0~rc.1.dsc
 8af5f8bef0803d1f56b947218338cd0b 48850 utils optional flash-kernel_3.0~rc.1.tar.gz
 8269fbc9175d560b3e93a9a0b2ce76ef 19564 utils optional flash-kernel_3.0~rc.1_armel.deb
 2847a63ac08f876984297eaabb1734b7 12400 debian-installer standard flash-kernel-installer_3.0~rc.1_armel.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJOVOxjAAoJEK8ig6p24qx7ujEP/0B4HCtmv+Gs275pirssHdDB
yG2lB6FgMqCMlIQAuW7i4fyp7NpVpCNRVSovHDJk4ESOdSMXzLWnKRZw42DAfAQc
BQQTFKprJYk40LhgZt6Kk0d6hkq2op3H6YQGGaZQCgWgY2mGio2fptEImEraPn1+
Lz0XCg7Sl9fmoh9jswtsxYk344xHF+j1MVwqWRhytb3Ho1ouEjILgGOcWD8tyN97
kQlkCzdd0z75D78aIltv3zfC04hmTamX5CGXzSj8Y5wTGhOTYf+0k3ysw85Ub9UP
gslEOPy7zdGIgNQ9N29JT+8jvhBI1X1ig7Kwl4QJuzi0RaWYhPjiHv//gl849tVu
X0UHjBQ9+fz4bwDR/aNi3dp/MRZNH94f0Cec0l8No0irQDAADuW3WELijwrbj99H
Af4EmKeEmkDqkkX/wDLNWBxB6gggjEdVUhV5NZHZlMRgkiZC3VPnb+q25LkA1AKm
E2rzF+s7da3lTcnUIekbRMJRVMYVE4ZlRdX7kwYKveo3/lydl+99nwEFZJ+551Ph
W7Cm9wzpCGomciP3xH7pP4+JBg/h3QBzI9a765vveuHm3fZXx/93jzSPfUZq9+5L
+SG3S6QbpbtEFj+HGbpUb1FBZ5AGDyUSCXKnejdxphmBHbx29QBPSQUBZExvRB3t
NhhU3FKF6uU5wMjK0yGc
=D/ZR
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 15 Apr 2012 07:41:17 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 13:51:37 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.